## rb-cell-renderer-rating

rb-cell-renderer-rating — a GtkCellRenderer for displaying song ratings

## Synopsis

                        RBCellRendererRating;
                        RBCellRendererRatingClass;
    GtkCellRenderer*    rb_cell_renderer_rating_new         (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----RBCellRendererRating

## Properties

      "rating"                   gdouble               : Read / Write

## Signals

      "rated"                                          : Run Last

## Description

This cell renderer is used to display song ratings in the RBEntryView, and allows the user to modify ratings directly in the track listing.

## Details

### RBCellRendererRating

    typedef struct _RBCellRendererRating RBCellRendererRating;

### RBCellRendererRatingClass

    typedef struct {
    	GtkCellRendererClass parent_class;

    	void (*rated) (RBCellRendererRating *renderer, const char *path, double rating);

    	RBCellRendererRatingClassPrivate *priv;
    } RBCellRendererRatingClass;

### rb_cell_renderer_rating_new ()

    GtkCellRenderer*    rb_cell_renderer_rating_new         (void);

create a cell renderer that will display some pixbufs for representing the rating of a song. It is also able to update the rating.

Returns : | the new cell renderer

## Property Details

### The `"rating"` property

      "rating"                   gdouble               : Read / Write

The rating displayed by the renderer, as a floating point value between 0.0 and 5.0.

Allowed values: [0,5]

Default value: 2.5

## Signal Details

### The `"rated"` signal

    void                user_function                      (RBCellRendererRating *renderer,
                                                            gchar                *score,
                                                            gdouble               path,
                                                            gpointer              user_data)      : Run Last

Emitted when the user changes the rating.

`renderer` : | the RBCellRendererRating
`score` : | the new rating
`path` : | string form of the GtkTreePath to the row that was changed
`user_data` : | user data set when the signal handler was connected.